Subject: Re: why usr/include/linux/if_frad.h is required

From: Arnd Bergmann <[email-masked]>
Date: Tue, 20 Jan 2009 18:47:01 +0100

On Tuesday 20 January 2009, Jaswinder Singh Rajput wrote:
> CC: LKML
> 
> On Tue, 2009-01-20 at 20:23 +0530, Jaswinder Singh Rajput wrote:
> > For if_frad.h I am getting two warnings with 'make headers_check':
> >   usr/include/linux/if_frad.h:29: leaks CONFIG_DLCI to userspace where it is not valid
> >   usr/include/linux/if_frad.h:129: leaks CONFIG_DLCI to userspace where it is not valid
> > 
> > Almost all if_frad.h is covered with #if defined(CONFIG_DLCI) || defined(CONFIG_DLCI_MODULE) 
> > 
> > If I remove this portion so only this what we get in userspace:
> > 
> > #ifndef _FRAD_H_
> > #define _FRAD_H_
> > 
> > #include <linux/if.h>
> > 
> > #endif
> > 
> > So I am surprising what is the point of this ? 
> > 
> > Can I change its name to is_fraud ;-)

The CONFIG_DLCI check in there is clearly in error, the definition in there
is a user interface. The obvious solution is to drop the #if / #endif pair
without a replacement.

	Arnd <><